5.5. Using a newer kernel with Lenny

The backports repository, backports.org, lacks the necessary module packages (linux-modules-extra-2.6, aufs, etc.) so an alternative repository has been set up, in order to build Lenny live images with a later kernel. Shown here is one way of doing it.

$ lh_config --linux-packages 'linux-image-2.6 aufs-modules-2.6'

$ echo 'deb http://unsupported.debian-maintainers.org/backports-kernel/ ./' > config/chroot_sources/backports-kernel.chroot
$ echo 'deb http://unsupported.debian-maintainers.org/backports-kernel/ ./' > config/chroot_sources/backports-kernel.binary

$ wget http://unsupported.debian-maintainers.org/backports-kernel/archive-key.asc -O config/chroot_sources/backports-kernel.chroot.gpg
$ wget http://unsupported.debian-maintainers.org/backports-kernel/archive-key.asc -O config/chroot_sources/backports-kernel.binary.gpg

# lh_build